package com.donglan.ahxf.ahxfmeetregisterwindow.dao;


import com.donglan.ahxf.ahxfmeetregisterwindow.entity.Dict;
import com.donglan.ahxf.ahxfmeetregisterwindow.entity.compositekey.DictPrimaryKey;
import org.springframework.data.jpa.repository.JpaRepository;

import java.util.List;

/**
 * @author shj
 * @date 2019-12-30 10:44
 */
public interface DictDao extends JpaRepository<Dict, DictPrimaryKey> {
    public List<Dict> findByIdLikeAndIsDelete(String codeType, Integer isDelete);

    public List<Dict> findByIdLikeAndParentIdIsNullAndIsDeleteOrderByValue(String codeType,Integer isDelete);

    public List<Dict> findByIdLikeAndParentIdAndIsDelete(String codeType,String parentId,Integer isDelete);

    public List<Dict> findAllByIdAndParentIdIsNullOrderByOrderNum(String id);

    public Dict findByIdAndValueAndIsDelete(String codeType,String value,Integer isDelete);
}
